local L = LibStub("AceLocale-3.0"):NewLocale("Manasurge", "enUS", true)

L["Enable or disable Manasurge"] = true
L["is not a valid itemlink for an equipable item."] = true
L["is not a weapon."] = true
L["is not an offhand."] = true
L["does not have a spellsurge enchant."] = true
L["equipped"] = true
L["cannot be found."] = true

L["NORMALMH_WARNING"] = "|cffff3333Warning: There is no normal mainhand set."
L["SPELLSURGEMH_WARNING"] = "|cffff3333Warning: There is no spellsurge mainhand set."
L["GCDSPELL_WARNING"] = "|cffff3333Warning: No spell is selected for global cooldown checking - please set it for Manasurge to work. Note, it is recommended to use a spell that cannot have a cooldown other than the global cooldown and cannot be interrupted. You can drag a spell from your spellbook to the appropriate field in the configuration dialog."

L["TOGGLE_ENABLED"] = "Enabled"
L["TOGGLE_DISABLED"] = "Disabled"

-- config ui elements --
L["OPTIONS_NAME"] = "Options"
L["OPTIONS_DESC"] = "General options"

L["INSTANCEONLY_NAME"] = "Instance only"
L["INSTANCEONLY_DESC"] = "Work only while inside an instances."

L["AUTOEQUIP_NAME"] = "Autoequip"
L["AUTOEQUIP_DESC"] = "Schedule equipping of a spellsurge set when entering combat (if it is not in cooldown)."

L["MAXWAIT_NAME"] = "Maxwait"
L["MAXWAIT_DESC"] = "Maximum time in seconds to wait before forcing a scheduled set switch."

L["SPELL_NAME"] = "Spell"
L["SPELL_DESC"] = "Spell used to check the status of the global cooldown. (preferably an un-interruptible spell without a cooldown other than the global cooldown)"
L["SPELL_USAGE"] = "<spell name>"

L["TOGGLEKEY_NAME"] = "Toggle keybind"
L["TOGGLEKEY_DESC"] = "Keybind to toggle Manasurge on and off."

L["SWITCHED_SETS_NAME"] = "Switched sets"
L["SWITCHED_SETS_DESC"] = "Switched sets"

L["NORMAL_SET_NAME"] = "Normal set"
L["NORMAL_SET_DESC"] = "Normal set - the one containing a mainhand without a spellsurge enchant."

L["NORMAL_MAINHAND_NAME"] = "Normal mainhand"
L["NORMAL_MAINHAND_DESC"] = "Normal set mainhand."
L["NORMAL_MAINHAND_USAGE"] = "<itemlink>"

L["NORMAL_OFFHAND_NAME"] = "Normal offhand"
L["NORMAL_OFFHAND_DESC"] = "Normal set offhand (optional)."
L["NORMAL_OFFHAND_USAGE"] = "<itemlink>"

L["CLEAR_NORMAL_NAME"] = "Clear items"
L["CLEAR_NORMAL_DESC"] = "Clear normal set items."

L["SPELLSURGE_SET_NAME"] = "Spellsurge set"
L["SPELLSURGE_SET_DESC"] = "Spellsurge set - the one containing a mainhand with a spellsurge enchant."

L["SPELLSURGE_MAINHAND_NAME"] = "Spellsurge mainhand"
L["SPELLSURGE_MAINHAND_DESC"] = "Spellsurge set mainhand."
L["SPELLSURGE_MAINHAND_USAGE"] = "<itemlink>"

L["SPELLSURGE_OFFHAND_NAME"] = "Spellsurge offhand"
L["SPELLSURGE_OFFHAND_DESC"] = "Spellsurge set offhand (optional)."
L["SPELLSURGE_OFFHAND_USAGE"] = "<itemlink>"

L["CLEAR_SPELLSURGE_NAME"] = "Clear items"
L["CLEAR_SPELLSURGE_DESC"] = "Clear spellsurge set items."
